FLTK 1.3.9: Fl_Help_Dialog Class Reference

FLTK 1.3.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Fl_Help_Dialog Class Reference

The Fl_Help_Dialog widget displays a standard help dialog window using the Fl_Help_View widget. More...

## Public Member Functions
| Fl_Help_Dialog ()
| The constructor creates the dialog pictured above.
int | h ()
| Returns the position and size of the help dialog.
void | hide ()
| Hides the Fl_Help_Dialog window.
void | load (const char *f)
| Loads the specified HTML file into the Fl_Help_View widget.
void | position (int xx, int yy)
| Set the screen position of the dialog.
void | resize (int xx, int yy, int ww, int hh)
| Change the position and size of the dialog.
void | show ()
| Shows the Fl_Help_Dialog window.
void | show (int argc, char **argv)
| Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show(int argc, char **argv) instance method.
Fl_Fontsize | textsize ()
| Sets or gets the default text size for the help view.
void | textsize (Fl_Fontsize s)
| Sets or gets the default text size for the help view.
void | topline (const char *n)
| Sets the top line in the Fl_Help_View widget to the named or numbered line.
void | topline (int n)
| Sets the top line in the Fl_Help_View widget to the named or numbered line.
const char * | value () const
| The first form sets the current buffer to the string provided and reformats the text.
void | value (const char *f)
| The first form sets the current buffer to the string provided and reformats the text.
int | visible ()
| Returns 1 if the Fl_Help_Dialog window is visible.
int | w ()
| Returns the position and size of the help dialog.
int | x ()
| Returns the position and size of the help dialog.
int | y ()
| Returns the position and size of the help dialog.
| ~Fl_Help_Dialog ()
| The destructor destroys the widget and frees all memory that has been allocated for the current file.

## Detailed Description

The Fl_Help_Dialog widget displays a standard help dialog window using the Fl_Help_View widget.

P

## Member Function Documentation

## ◆ load()

void Fl_Help_Dialog::load | ( | const char * | f | ) |

Loads the specified HTML file into the Fl_Help_View widget.

The filename can also contain a target name ("filename.html#target").

## ◆ show()

void Fl_Help_Dialog::show | ( |  | ) |

Shows the Fl_Help_Dialog window.

Shows the main Help Dialog Window Delegates call to encapsulated window_ void Fl_Window::show() method.

## ◆ textsize()

void Fl_Help_Dialog::textsize | ( | Fl_Fontsize | s | ) |

Sets or gets the default text size for the help view.

Sets the internal Fl_Help_View instance text size.

Delegates call to encapsulated view_ void Fl_Help_View::textsize(Fl_Fontsize s) instance method

## ◆ value() [1/2]

const char * Fl_Help_Dialog::value | ( |  | ) | const

The first form sets the current buffer to the string provided and reformats the text.

It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

## ◆ value() [2/2]

void Fl_Help_Dialog::value | ( | const char * | v | ) |

The first form sets the current buffer to the string provided and reformats the text.

It also clears the history of the "back" and "forward" buttons. The second form returns the current buffer contents.

The documentation for this class was generated from the following files:

- Fl_Help_Dialog.H
- Fl_Help_Dialog.cxx
- Fl_Help_Dialog_Dox.cxx